# Internationalization

Like VuePress, to start multi-language support, you should use following file structure: 

```tree
docs
├─ README.md
├─ foo.md
├─ nested
│  └─ README.md
└─ zh
   ├─ README.md
   ├─ foo.md
   └─ nested
      └─ README.md
```

Then provide `locales` item in `.nzpress/config.js`:

```js
module.exports = {
  locales: {
    '/': {
      lang: 'en-US',
      title: 'NzPress',
      description: 'Angular-powered Static Site Generator',
      sidebar: [
        {
          link: '/introduce',
          title: 'Introduce'
        },
        //...
      ]
    },
    '/zh': {
      lang: 'zh-CN',
      title: 'NzPress',
      description: 'Angular 驱动的静态网站生成器',
      sidebar: [
        {
          link: '/zh/introduce',
          title: '介绍'
        },
        // ...
      ]
    }
  }
}
```