# 多语言支持

跟 VuePress 一样，要启用 NzPress 的多语言支持，首先需要使用如下的文件结构：

```tree
docs
├─ README.md
├─ foo.md
├─ nested
│  └─ README.md
└─ zh
   ├─ README.md
   ├─ foo.md
   └─ nested
      └─ README.md
```

然后，在 `.nzpress/config.js` 中提供 locales 选项：

```js
module.exports = {
  locales: {
    '/': {
      lang: 'en-US',
      title: 'NzPress',
      description: 'Angular-powered Static Site Generator',
      sidebar: [
        {
          link: '/introduce',
          title: 'Introduce'
        },
        //...
      ]
    },
    '/zh': {
      lang: 'zh-CN',
      title: 'NzPress',
      description: 'Angular 驱动的静态网站生成器',
      sidebar: [
        {
          link: '/zh/introduce',
          title: '介绍'
        },
        //...
      ]
    }
  }
}
```